# th_quant_ranges Struct Reference

A set of qi ranges. More...

`#include <codec.h>`

## Data Fields
int | nranges
| The number of ranges in the set.
const int * | sizes
| The size of each of the nranges ranges.
const th_quant_base * | base_matrices
| nranges `+1` base matrices.

## Detailed Description

A set of qi ranges.

## Field Documentation

const th_quant_base* th_quant_ranges::base_matrices

nranges `+1` base matrices.

Matrices i and `i+1` form the endpoints of range i.

int th_quant_ranges::nranges

The number of ranges in the set.

const int* th_quant_ranges::sizes

The size of each of the nranges ranges.

These must sum to 63.

The documentation for this struct was generated from the following file:

- codec.h